{
  description = "Zentralwerk network";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    zentralwerk-network-key.url = "https://gitea.c3d2.de/zentralwerk/network.git?dir=nix/key";
    zentralwerk-network-key.flake = false;
  };

  outputs = { self, nixpkgs }:
    let
      system = "x86_64-linux";
      systems = [ system ];
      forAllSystems = nixpkgs.lib.genAttrs systems;
    in
    rec {
      lib =
        import ./nix/lib { inherit nixpkgs; };

      packages = forAllSystems (system:
        import ./nix/pkgs { inherit self nixpkgs system; }
      );

      nixosModule = { ... }: {
        imports = [ ./nix/nixos-module ];
      };

      nixosConfigurations.test_vm =
        nixpkgs.lib.nixosSystem {
          inherit system;
          modules = [ nixosModule ];
          extraModules = [ ({ ... }: {
            networking.hostName = "test_vm";
          }) ];
        };

      nixosConfigurations.server1 =
        nixpkgs.lib.nixosSystem {
          inherit system;
          modules = [];
        };
    };
}
